Bug 796580 - Not compatible with JDK7
Not compatible with JDK7
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc (Show other bugs)
17
All All
unspecified Severity high
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 04:00 EST by jiri vanek
Modified: 2013-07-02 23:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: postgresql-jdbc-9.1.901-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-28 06:03:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
simple update of spec to jdk7 (1.40 KB, patch)
2012-02-23 04:00 EST, jiri vanek
no flags Details | Diff

  None (edit)
Description jiri vanek 2012-02-23 04:00:34 EST
Created attachment 565232 [details]
simple update of spec to jdk7

Package have direct dependence on jdk6, which is going to be dropped. Although in spec file is written "We require Java 1.6 because we support JDBC 4.0, not 4.1" works fine after update.

However - the compilation have passed, but I'm very scared that all the "class for name" and "methods per name" will fail in runtime.
Comment 1 Tom Lane 2012-02-23 10:03:55 EST
Upstream only got around to adding JDBC 4.1 support last year, so the restriction to 1.6 was appropriate when I put it in, but it should be unnecessary with the current package.  If the package builds and appears to supply all the expected methods then I think this should be okay.

As far as the specific proposed patch goes, why did you leave in the comment that the patch turns into a lie?
Comment 2 jiri vanek 2012-02-23 10:11:33 EST
Feel free to remove the comment when updating to jdk7.
I have not found (in upstream's) that 4.1 support was added.
Tyvm for clarification! (my sleeping will be much easier now ;)
Comment 3 Tom Lane 2012-02-23 10:52:28 EST
(In reply to comment #2)
> I have not found (in upstream's) that 4.1 support was added.

The documentation leaves something to be desired, but I found this in the upstream mailing list:
http://archives.postgresql.org/pgsql-jdbc/2011-03/msg00141.php

> Feel free to remove the comment when updating to jdk7.

Oh, I assumed you were going to commit this.  If you want me to, I can change it.
Comment 4 Fedora Update System 2012-02-23 13:46:36 EST
postgresql-jdbc-9.1.901-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/postgresql-jdbc-9.1.901-3.fc17
Comment 5 Fedora Update System 2012-02-23 17:27:54 EST
Package postgresql-jdbc-9.1.901-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing postgresql-jdbc-9.1.901-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2246/postgresql-jdbc-9.1.901-3.fc17
then log in and leave karma (feedback).
Comment 6 jiri vanek 2012-02-24 04:32:03 EST
TYVM for taking care of the change!
Comment 7 Fedora Update System 2012-02-28 06:03:00 EST
postgresql-jdbc-9.1.901-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.